<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>16.15. errno — Standard errno system symbols &mdash; Python 3.5.1 documentation</title>
    
    <link rel="stylesheet" href="../_static/pydoctheme.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '3.5.1',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="../_static/sidebar.js"></script>
    <link rel="search" type="application/opensearchdescription+xml"
          title="Search within Python 3.5.1 documentation"
          href="../_static/opensearch.xml"/>
    <link rel="author" title="About these documents" href="../about.html" />
    <link rel="copyright" title="Copyright" href="../copyright.html" />
    <link rel="top" title="Python 3.5.1 documentation" href="../contents.html" />
    <link rel="up" title="16. Generic Operating System Services" href="allos.html" />
    <link rel="next" title="16.16. ctypes — A foreign function library for Python" href="ctypes.html" />
    <link rel="prev" title="16.14. platform — Access to underlying platform’s identifying data" href="platform.html" />
    <link rel="shortcut icon" type="image/png" href="../_static/py.png" />
    <script type="text/javascript" src="../_static/copybutton.js"></script>
    <script type="text/javascript" src="../_static/version_switch.js"></script>
    
 

  </head>
  <body role="document">  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="ctypes.html" title="16.16. ctypes — A foreign function library for Python"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="platform.html" title="16.14. platform — Access to underlying platform’s identifying data"
             accesskey="P">previous</a> |</li>
        <li><img src="../_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="../index.html">Documentation</a> &raquo;
        </li>

          <li class="nav-item nav-item-1"><a href="index.html" >The Python Standard Library</a> &raquo;</li>
          <li class="nav-item nav-item-2"><a href="allos.html" accesskey="U">16. Generic Operating System Services</a> &raquo;</li> 
      </ul>
    </div>    

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-errno">
<span id="errno-standard-errno-system-symbols"></span><h1>16.15. <a class="reference internal" href="#module-errno" title="errno: Standard errno system symbols."><code class="xref py py-mod docutils literal"><span class="pre">errno</span></code></a> &#8212; Standard errno system symbols<a class="headerlink" href="#module-errno" title="Permalink to this headline">¶</a></h1>
<p>This module makes available standard <code class="docutils literal"><span class="pre">errno</span></code> system symbols. The value of each
symbol is the corresponding integer value. The names and descriptions are
borrowed from <code class="file docutils literal"><span class="pre">linux/include/errno.h</span></code>, which should be pretty
all-inclusive.</p>
<dl class="data">
<dt id="errno.errorcode">
<code class="descclassname">errno.</code><code class="descname">errorcode</code><a class="headerlink" href="#errno.errorcode" title="Permalink to this definition">¶</a></dt>
<dd><p>Dictionary providing a mapping from the errno value to the string name in the
underlying system.  For instance, <code class="docutils literal"><span class="pre">errno.errorcode[errno.EPERM]</span></code> maps to
<code class="docutils literal"><span class="pre">'EPERM'</span></code>.</p>
</dd></dl>

<p>To translate a numeric error code to an error message, use <a class="reference internal" href="os.html#os.strerror" title="os.strerror"><code class="xref py py-func docutils literal"><span class="pre">os.strerror()</span></code></a>.</p>
<p>Of the following list, symbols that are not used on the current platform are not
defined by the module.  The specific list of defined symbols is available as
<code class="docutils literal"><span class="pre">errno.errorcode.keys()</span></code>.  Symbols available can include:</p>
<dl class="data">
<dt id="errno.EPERM">
<code class="descclassname">errno.</code><code class="descname">EPERM</code><a class="headerlink" href="#errno.EPERM" title="Permalink to this definition">¶</a></dt>
<dd><p>Operation not permitted</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENOENT">
<code class="descclassname">errno.</code><code class="descname">ENOENT</code><a class="headerlink" href="#errno.ENOENT" title="Permalink to this definition">¶</a></dt>
<dd><p>No such file or directory</p>
</dd></dl>

<dl class="data">
<dt id="errno.ESRCH">
<code class="descclassname">errno.</code><code class="descname">ESRCH</code><a class="headerlink" href="#errno.ESRCH" title="Permalink to this definition">¶</a></dt>
<dd><p>No such process</p>
</dd></dl>

<dl class="data">
<dt id="errno.EINTR">
<code class="descclassname">errno.</code><code class="descname">EINTR</code><a class="headerlink" href="#errno.EINTR" title="Permalink to this definition">¶</a></dt>
<dd><p>Interrupted system call.</p>
<div class="admonition seealso">
<p class="first admonition-title">See also</p>
<p class="last">This error is mapped to the exception <a class="reference internal" href="exceptions.html#InterruptedError" title="InterruptedError"><code class="xref py py-exc docutils literal"><span class="pre">InterruptedError</span></code></a>.</p>
</div>
</dd></dl>

<dl class="data">
<dt id="errno.EIO">
<code class="descclassname">errno.</code><code class="descname">EIO</code><a class="headerlink" href="#errno.EIO" title="Permalink to this definition">¶</a></dt>
<dd><p>I/O error</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENXIO">
<code class="descclassname">errno.</code><code class="descname">ENXIO</code><a class="headerlink" href="#errno.ENXIO" title="Permalink to this definition">¶</a></dt>
<dd><p>No such device or address</p>
</dd></dl>

<dl class="data">
<dt id="errno.E2BIG">
<code class="descclassname">errno.</code><code class="descname">E2BIG</code><a class="headerlink" href="#errno.E2BIG" title="Permalink to this definition">¶</a></dt>
<dd><p>Arg list too long</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENOEXEC">
<code class="descclassname">errno.</code><code class="descname">ENOEXEC</code><a class="headerlink" href="#errno.ENOEXEC" title="Permalink to this definition">¶</a></dt>
<dd><p>Exec format error</p>
</dd></dl>

<dl class="data">
<dt id="errno.EBADF">
<code class="descclassname">errno.</code><code class="descname">EBADF</code><a class="headerlink" href="#errno.EBADF" title="Permalink to this definition">¶</a></dt>
<dd><p>Bad file number</p>
</dd></dl>

<dl class="data">
<dt id="errno.ECHILD">
<code class="descclassname">errno.</code><code class="descname">ECHILD</code><a class="headerlink" href="#errno.ECHILD" title="Permalink to this definition">¶</a></dt>
<dd><p>No child processes</p>
</dd></dl>

<dl class="data">
<dt id="errno.EAGAIN">
<code class="descclassname">errno.</code><code class="descname">EAGAIN</code><a class="headerlink" href="#errno.EAGAIN" title="Permalink to this definition">¶</a></dt>
<dd><p>Try again</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENOMEM">
<code class="descclassname">errno.</code><code class="descname">ENOMEM</code><a class="headerlink" href="#errno.ENOMEM" title="Permalink to this definition">¶</a></dt>
<dd><p>Out of memory</p>
</dd></dl>

<dl class="data">
<dt id="errno.EACCES">
<code class="descclassname">errno.</code><code class="descname">EACCES</code><a class="headerlink" href="#errno.EACCES" title="Permalink to this definition">¶</a></dt>
<dd><p>Permission denied</p>
</dd></dl>

<dl class="data">
<dt id="errno.EFAULT">
<code class="descclassname">errno.</code><code class="descname">EFAULT</code><a class="headerlink" href="#errno.EFAULT" title="Permalink to this definition">¶</a></dt>
<dd><p>Bad address</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENOTBLK">
<code class="descclassname">errno.</code><code class="descname">ENOTBLK</code><a class="headerlink" href="#errno.ENOTBLK" title="Permalink to this definition">¶</a></dt>
<dd><p>Block device required</p>
</dd></dl>

<dl class="data">
<dt id="errno.EBUSY">
<code class="descclassname">errno.</code><code class="descname">EBUSY</code><a class="headerlink" href="#errno.EBUSY" title="Permalink to this definition">¶</a></dt>
<dd><p>Device or resource busy</p>
</dd></dl>

<dl class="data">
<dt id="errno.EEXIST">
<code class="descclassname">errno.</code><code class="descname">EEXIST</code><a class="headerlink" href="#errno.EEXIST" title="Permalink to this definition">¶</a></dt>
<dd><p>File exists</p>
</dd></dl>

<dl class="data">
<dt id="errno.EXDEV">
<code class="descclassname">errno.</code><code class="descname">EXDEV</code><a class="headerlink" href="#errno.EXDEV" title="Permalink to this definition">¶</a></dt>
<dd><p>Cross-device link</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENODEV">
<code class="descclassname">errno.</code><code class="descname">ENODEV</code><a class="headerlink" href="#errno.ENODEV" title="Permalink to this definition">¶</a></dt>
<dd><p>No such device</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENOTDIR">
<code class="descclassname">errno.</code><code class="descname">ENOTDIR</code><a class="headerlink" href="#errno.ENOTDIR" title="Permalink to this definition">¶</a></dt>
<dd><p>Not a directory</p>
</dd></dl>

<dl class="data">
<dt id="errno.EISDIR">
<code class="descclassname">errno.</code><code class="descname">EISDIR</code><a class="headerlink" href="#errno.EISDIR" title="Permalink to this definition">¶</a></dt>
<dd><p>Is a directory</p>
</dd></dl>

<dl class="data">
<dt id="errno.EINVAL">
<code class="descclassname">errno.</code><code class="descname">EINVAL</code><a class="headerlink" href="#errno.EINVAL" title="Permalink to this definition">¶</a></dt>
<dd><p>Invalid argument</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENFILE">
<code class="descclassname">errno.</code><code class="descname">ENFILE</code><a class="headerlink" href="#errno.ENFILE" title="Permalink to this definition">¶</a></dt>
<dd><p>File table overflow</p>
</dd></dl>

<dl class="data">
<dt id="errno.EMFILE">
<code class="descclassname">errno.</code><code class="descname">EMFILE</code><a class="headerlink" href="#errno.EMFILE" title="Permalink to this definition">¶</a></dt>
<dd><p>Too many open files</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENOTTY">
<code class="descclassname">errno.</code><code class="descname">ENOTTY</code><a class="headerlink" href="#errno.ENOTTY" title="Permalink to this definition">¶</a></dt>
<dd><p>Not a typewriter</p>
</dd></dl>

<dl class="data">
<dt id="errno.ETXTBSY">
<code class="descclassname">errno.</code><code class="descname">ETXTBSY</code><a class="headerlink" href="#errno.ETXTBSY" title="Permalink to this definition">¶</a></dt>
<dd><p>Text file busy</p>
</dd></dl>

<dl class="data">
<dt id="errno.EFBIG">
<code class="descclassname">errno.</code><code class="descname">EFBIG</code><a class="headerlink" href="#errno.EFBIG" title="Permalink to this definition">¶</a></dt>
<dd><p>File too large</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENOSPC">
<code class="descclassname">errno.</code><code class="descname">ENOSPC</code><a class="headerlink" href="#errno.ENOSPC" title="Permalink to this definition">¶</a></dt>
<dd><p>No space left on device</p>
</dd></dl>

<dl class="data">
<dt id="errno.ESPIPE">
<code class="descclassname">errno.</code><code class="descname">ESPIPE</code><a class="headerlink" href="#errno.ESPIPE" title="Permalink to this definition">¶</a></dt>
<dd><p>Illegal seek</p>
</dd></dl>

<dl class="data">
<dt id="errno.EROFS">
<code class="descclassname">errno.</code><code class="descname">EROFS</code><a class="headerlink" href="#errno.EROFS" title="Permalink to this definition">¶</a></dt>
<dd><p>Read-only file system</p>
</dd></dl>

<dl class="data">
<dt id="errno.EMLINK">
<code class="descclassname">errno.</code><code class="descname">EMLINK</code><a class="headerlink" href="#errno.EMLINK" title="Permalink to this definition">¶</a></dt>
<dd><p>Too many links</p>
</dd></dl>

<dl class="data">
<dt id="errno.EPIPE">
<code class="descclassname">errno.</code><code class="descname">EPIPE</code><a class="headerlink" href="#errno.EPIPE" title="Permalink to this definition">¶</a></dt>
<dd><p>Broken pipe</p>
</dd></dl>

<dl class="data">
<dt id="errno.EDOM">
<code class="descclassname">errno.</code><code class="descname">EDOM</code><a class="headerlink" href="#errno.EDOM" title="Permalink to this definition">¶</a></dt>
<dd><p>Math argument out of domain of func</p>
</dd></dl>

<dl class="data">
<dt id="errno.ERANGE">
<code class="descclassname">errno.</code><code class="descname">ERANGE</code><a class="headerlink" href="#errno.ERANGE" title="Permalink to this definition">¶</a></dt>
<dd><p>Math result not representable</p>
</dd></dl>

<dl class="data">
<dt id="errno.EDEADLK">
<code class="descclassname">errno.</code><code class="descname">EDEADLK</code><a class="headerlink" href="#errno.EDEADLK" title="Permalink to this definition">¶</a></dt>
<dd><p>Resource deadlock would occur</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENAMETOOLONG">
<code class="descclassname">errno.</code><code class="descname">ENAMETOOLONG</code><a class="headerlink" href="#errno.ENAMETOOLONG" title="Permalink to this definition">¶</a></dt>
<dd><p>File name too long</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENOLCK">
<code class="descclassname">errno.</code><code class="descname">ENOLCK</code><a class="headerlink" href="#errno.ENOLCK" title="Permalink to this definition">¶</a></dt>
<dd><p>No record locks available</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENOSYS">
<code class="descclassname">errno.</code><code class="descname">ENOSYS</code><a class="headerlink" href="#errno.ENOSYS" title="Permalink to this definition">¶</a></dt>
<dd><p>Function not implemented</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENOTEMPTY">
<code class="descclassname">errno.</code><code class="descname">ENOTEMPTY</code><a class="headerlink" href="#errno.ENOTEMPTY" title="Permalink to this definition">¶</a></dt>
<dd><p>Directory not empty</p>
</dd></dl>

<dl class="data">
<dt id="errno.ELOOP">
<code class="descclassname">errno.</code><code class="descname">ELOOP</code><a class="headerlink" href="#errno.ELOOP" title="Permalink to this definition">¶</a></dt>
<dd><p>Too many symbolic links encountered</p>
</dd></dl>

<dl class="data">
<dt id="errno.EWOULDBLOCK">
<code class="descclassname">errno.</code><code class="descname">EWOULDBLOCK</code><a class="headerlink" href="#errno.EWOULDBLOCK" title="Permalink to this definition">¶</a></dt>
<dd><p>Operation would block</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENOMSG">
<code class="descclassname">errno.</code><code class="descname">ENOMSG</code><a class="headerlink" href="#errno.ENOMSG" title="Permalink to this definition">¶</a></dt>
<dd><p>No message of desired type</p>
</dd></dl>

<dl class="data">
<dt id="errno.EIDRM">
<code class="descclassname">errno.</code><code class="descname">EIDRM</code><a class="headerlink" href="#errno.EIDRM" title="Permalink to this definition">¶</a></dt>
<dd><p>Identifier removed</p>
</dd></dl>

<dl class="data">
<dt id="errno.ECHRNG">
<code class="descclassname">errno.</code><code class="descname">ECHRNG</code><a class="headerlink" href="#errno.ECHRNG" title="Permalink to this definition">¶</a></dt>
<dd><p>Channel number out of range</p>
</dd></dl>

<dl class="data">
<dt id="errno.EL2NSYNC">
<code class="descclassname">errno.</code><code class="descname">EL2NSYNC</code><a class="headerlink" href="#errno.EL2NSYNC" title="Permalink to this definition">¶</a></dt>
<dd><p>Level 2 not synchronized</p>
</dd></dl>

<dl class="data">
<dt id="errno.EL3HLT">
<code class="descclassname">errno.</code><code class="descname">EL3HLT</code><a class="headerlink" href="#errno.EL3HLT" title="Permalink to this definition">¶</a></dt>
<dd><p>Level 3 halted</p>
</dd></dl>

<dl class="data">
<dt id="errno.EL3RST">
<code class="descclassname">errno.</code><code class="descname">EL3RST</code><a class="headerlink" href="#errno.EL3RST" title="Permalink to this definition">¶</a></dt>
<dd><p>Level 3 reset</p>
</dd></dl>

<dl class="data">
<dt id="errno.ELNRNG">
<code class="descclassname">errno.</code><code class="descname">ELNRNG</code><a class="headerlink" href="#errno.ELNRNG" title="Permalink to this definition">¶</a></dt>
<dd><p>Link number out of range</p>
</dd></dl>

<dl class="data">
<dt id="errno.EUNATCH">
<code class="descclassname">errno.</code><code class="descname">EUNATCH</code><a class="headerlink" href="#errno.EUNATCH" title="Permalink to this definition">¶</a></dt>
<dd><p>Protocol driver not attached</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENOCSI">
<code class="descclassname">errno.</code><code class="descname">ENOCSI</code><a class="headerlink" href="#errno.ENOCSI" title="Permalink to this definition">¶</a></dt>
<dd><p>No CSI structure available</p>
</dd></dl>

<dl class="data">
<dt id="errno.EL2HLT">
<code class="descclassname">errno.</code><code class="descname">EL2HLT</code><a class="headerlink" href="#errno.EL2HLT" title="Permalink to this definition">¶</a></dt>
<dd><p>Level 2 halted</p>
</dd></dl>

<dl class="data">
<dt id="errno.EBADE">
<code class="descclassname">errno.</code><code class="descname">EBADE</code><a class="headerlink" href="#errno.EBADE" title="Permalink to this definition">¶</a></dt>
<dd><p>Invalid exchange</p>
</dd></dl>

<dl class="data">
<dt id="errno.EBADR">
<code class="descclassname">errno.</code><code class="descname">EBADR</code><a class="headerlink" href="#errno.EBADR" title="Permalink to this definition">¶</a></dt>
<dd><p>Invalid request descriptor</p>
</dd></dl>

<dl class="data">
<dt id="errno.EXFULL">
<code class="descclassname">errno.</code><code class="descname">EXFULL</code><a class="headerlink" href="#errno.EXFULL" title="Permalink to this definition">¶</a></dt>
<dd><p>Exchange full</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENOANO">
<code class="descclassname">errno.</code><code class="descname">ENOANO</code><a class="headerlink" href="#errno.ENOANO" title="Permalink to this definition">¶</a></dt>
<dd><p>No anode</p>
</dd></dl>

<dl class="data">
<dt id="errno.EBADRQC">
<code class="descclassname">errno.</code><code class="descname">EBADRQC</code><a class="headerlink" href="#errno.EBADRQC" title="Permalink to this definition">¶</a></dt>
<dd><p>Invalid request code</p>
</dd></dl>

<dl class="data">
<dt id="errno.EBADSLT">
<code class="descclassname">errno.</code><code class="descname">EBADSLT</code><a class="headerlink" href="#errno.EBADSLT" title="Permalink to this definition">¶</a></dt>
<dd><p>Invalid slot</p>
</dd></dl>

<dl class="data">
<dt id="errno.EDEADLOCK">
<code class="descclassname">errno.</code><code class="descname">EDEADLOCK</code><a class="headerlink" href="#errno.EDEADLOCK" title="Permalink to this definition">¶</a></dt>
<dd><p>File locking deadlock error</p>
</dd></dl>

<dl class="data">
<dt id="errno.EBFONT">
<code class="descclassname">errno.</code><code class="descname">EBFONT</code><a class="headerlink" href="#errno.EBFONT" title="Permalink to this definition">¶</a></dt>
<dd><p>Bad font file format</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENOSTR">
<code class="descclassname">errno.</code><code class="descname">ENOSTR</code><a class="headerlink" href="#errno.ENOSTR" title="Permalink to this definition">¶</a></dt>
<dd><p>Device not a stream</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENODATA">
<code class="descclassname">errno.</code><code class="descname">ENODATA</code><a class="headerlink" href="#errno.ENODATA" title="Permalink to this definition">¶</a></dt>
<dd><p>No data available</p>
</dd></dl>

<dl class="data">
<dt id="errno.ETIME">
<code class="descclassname">errno.</code><code class="descname">ETIME</code><a class="headerlink" href="#errno.ETIME" title="Permalink to this definition">¶</a></dt>
<dd><p>Timer expired</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENOSR">
<code class="descclassname">errno.</code><code class="descname">ENOSR</code><a class="headerlink" href="#errno.ENOSR" title="Permalink to this definition">¶</a></dt>
<dd><p>Out of streams resources</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENONET">
<code class="descclassname">errno.</code><code class="descname">ENONET</code><a class="headerlink" href="#errno.ENONET" title="Permalink to this definition">¶</a></dt>
<dd><p>Machine is not on the network</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENOPKG">
<code class="descclassname">errno.</code><code class="descname">ENOPKG</code><a class="headerlink" href="#errno.ENOPKG" title="Permalink to this definition">¶</a></dt>
<dd><p>Package not installed</p>
</dd></dl>

<dl class="data">
<dt id="errno.EREMOTE">
<code class="descclassname">errno.</code><code class="descname">EREMOTE</code><a class="headerlink" href="#errno.EREMOTE" title="Permalink to this definition">¶</a></dt>
<dd><p>Object is remote</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENOLINK">
<code class="descclassname">errno.</code><code class="descname">ENOLINK</code><a class="headerlink" href="#errno.ENOLINK" title="Permalink to this definition">¶</a></dt>
<dd><p>Link has been severed</p>
</dd></dl>

<dl class="data">
<dt id="errno.EADV">
<code class="descclassname">errno.</code><code class="descname">EADV</code><a class="headerlink" href="#errno.EADV" title="Permalink to this definition">¶</a></dt>
<dd><p>Advertise error</p>
</dd></dl>

<dl class="data">
<dt id="errno.ESRMNT">
<code class="descclassname">errno.</code><code class="descname">ESRMNT</code><a class="headerlink" href="#errno.ESRMNT" title="Permalink to this definition">¶</a></dt>
<dd><p>Srmount error</p>
</dd></dl>

<dl class="data">
<dt id="errno.ECOMM">
<code class="descclassname">errno.</code><code class="descname">ECOMM</code><a class="headerlink" href="#errno.ECOMM" title="Permalink to this definition">¶</a></dt>
<dd><p>Communication error on send</p>
</dd></dl>

<dl class="data">
<dt id="errno.EPROTO">
<code class="descclassname">errno.</code><code class="descname">EPROTO</code><a class="headerlink" href="#errno.EPROTO" title="Permalink to this definition">¶</a></dt>
<dd><p>Protocol error</p>
</dd></dl>

<dl class="data">
<dt id="errno.EMULTIHOP">
<code class="descclassname">errno.</code><code class="descname">EMULTIHOP</code><a class="headerlink" href="#errno.EMULTIHOP" title="Permalink to this definition">¶</a></dt>
<dd><p>Multihop attempted</p>
</dd></dl>

<dl class="data">
<dt id="errno.EDOTDOT">
<code class="descclassname">errno.</code><code class="descname">EDOTDOT</code><a class="headerlink" href="#errno.EDOTDOT" title="Permalink to this definition">¶</a></dt>
<dd><p>RFS specific error</p>
</dd></dl>

<dl class="data">
<dt id="errno.EBADMSG">
<code class="descclassname">errno.</code><code class="descname">EBADMSG</code><a class="headerlink" href="#errno.EBADMSG" title="Permalink to this definition">¶</a></dt>
<dd><p>Not a data message</p>
</dd></dl>

<dl class="data">
<dt id="errno.EOVERFLOW">
<code class="descclassname">errno.</code><code class="descname">EOVERFLOW</code><a class="headerlink" href="#errno.EOVERFLOW" title="Permalink to this definition">¶</a></dt>
<dd><p>Value too large for defined data type</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENOTUNIQ">
<code class="descclassname">errno.</code><code class="descname">ENOTUNIQ</code><a class="headerlink" href="#errno.ENOTUNIQ" title="Permalink to this definition">¶</a></dt>
<dd><p>Name not unique on network</p>
</dd></dl>

<dl class="data">
<dt id="errno.EBADFD">
<code class="descclassname">errno.</code><code class="descname">EBADFD</code><a class="headerlink" href="#errno.EBADFD" title="Permalink to this definition">¶</a></dt>
<dd><p>File descriptor in bad state</p>
</dd></dl>

<dl class="data">
<dt id="errno.EREMCHG">
<code class="descclassname">errno.</code><code class="descname">EREMCHG</code><a class="headerlink" href="#errno.EREMCHG" title="Permalink to this definition">¶</a></dt>
<dd><p>Remote address changed</p>
</dd></dl>

<dl class="data">
<dt id="errno.ELIBACC">
<code class="descclassname">errno.</code><code class="descname">ELIBACC</code><a class="headerlink" href="#errno.ELIBACC" title="Permalink to this definition">¶</a></dt>
<dd><p>Can not access a needed shared library</p>
</dd></dl>

<dl class="data">
<dt id="errno.ELIBBAD">
<code class="descclassname">errno.</code><code class="descname">ELIBBAD</code><a class="headerlink" href="#errno.ELIBBAD" title="Permalink to this definition">¶</a></dt>
<dd><p>Accessing a corrupted shared library</p>
</dd></dl>

<dl class="data">
<dt id="errno.ELIBSCN">
<code class="descclassname">errno.</code><code class="descname">ELIBSCN</code><a class="headerlink" href="#errno.ELIBSCN" title="Permalink to this definition">¶</a></dt>
<dd><p>.lib section in a.out corrupted</p>
</dd></dl>

<dl class="data">
<dt id="errno.ELIBMAX">
<code class="descclassname">errno.</code><code class="descname">ELIBMAX</code><a class="headerlink" href="#errno.ELIBMAX" title="Permalink to this definition">¶</a></dt>
<dd><p>Attempting to link in too many shared libraries</p>
</dd></dl>

<dl class="data">
<dt id="errno.ELIBEXEC">
<code class="descclassname">errno.</code><code class="descname">ELIBEXEC</code><a class="headerlink" href="#errno.ELIBEXEC" title="Permalink to this definition">¶</a></dt>
<dd><p>Cannot exec a shared library directly</p>
</dd></dl>

<dl class="data">
<dt id="errno.EILSEQ">
<code class="descclassname">errno.</code><code class="descname">EILSEQ</code><a class="headerlink" href="#errno.EILSEQ" title="Permalink to this definition">¶</a></dt>
<dd><p>Illegal byte sequence</p>
</dd></dl>

<dl class="data">
<dt id="errno.ERESTART">
<code class="descclassname">errno.</code><code class="descname">ERESTART</code><a class="headerlink" href="#errno.ERESTART" title="Permalink to this definition">¶</a></dt>
<dd><p>Interrupted system call should be restarted</p>
</dd></dl>

<dl class="data">
<dt id="errno.ESTRPIPE">
<code class="descclassname">errno.</code><code class="descname">ESTRPIPE</code><a class="headerlink" href="#errno.ESTRPIPE" title="Permalink to this definition">¶</a></dt>
<dd><p>Streams pipe error</p>
</dd></dl>

<dl class="data">
<dt id="errno.EUSERS">
<code class="descclassname">errno.</code><code class="descname">EUSERS</code><a class="headerlink" href="#errno.EUSERS" title="Permalink to this definition">¶</a></dt>
<dd><p>Too many users</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENOTSOCK">
<code class="descclassname">errno.</code><code class="descname">ENOTSOCK</code><a class="headerlink" href="#errno.ENOTSOCK" title="Permalink to this definition">¶</a></dt>
<dd><p>Socket operation on non-socket</p>
</dd></dl>

<dl class="data">
<dt id="errno.EDESTADDRREQ">
<code class="descclassname">errno.</code><code class="descname">EDESTADDRREQ</code><a class="headerlink" href="#errno.EDESTADDRREQ" title="Permalink to this definition">¶</a></dt>
<dd><p>Destination address required</p>
</dd></dl>

<dl class="data">
<dt id="errno.EMSGSIZE">
<code class="descclassname">errno.</code><code class="descname">EMSGSIZE</code><a class="headerlink" href="#errno.EMSGSIZE" title="Permalink to this definition">¶</a></dt>
<dd><p>Message too long</p>
</dd></dl>

<dl class="data">
<dt id="errno.EPROTOTYPE">
<code class="descclassname">errno.</code><code class="descname">EPROTOTYPE</code><a class="headerlink" href="#errno.EPROTOTYPE" title="Permalink to this definition">¶</a></dt>
<dd><p>Protocol wrong type for socket</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENOPROTOOPT">
<code class="descclassname">errno.</code><code class="descname">ENOPROTOOPT</code><a class="headerlink" href="#errno.ENOPROTOOPT" title="Permalink to this definition">¶</a></dt>
<dd><p>Protocol not available</p>
</dd></dl>

<dl class="data">
<dt id="errno.EPROTONOSUPPORT">
<code class="descclassname">errno.</code><code class="descname">EPROTONOSUPPORT</code><a class="headerlink" href="#errno.EPROTONOSUPPORT" title="Permalink to this definition">¶</a></dt>
<dd><p>Protocol not supported</p>
</dd></dl>

<dl class="data">
<dt id="errno.ESOCKTNOSUPPORT">
<code class="descclassname">errno.</code><code class="descname">ESOCKTNOSUPPORT</code><a class="headerlink" href="#errno.ESOCKTNOSUPPORT" title="Permalink to this definition">¶</a></dt>
<dd><p>Socket type not supported</p>
</dd></dl>

<dl class="data">
<dt id="errno.EOPNOTSUPP">
<code class="descclassname">errno.</code><code class="descname">EOPNOTSUPP</code><a class="headerlink" href="#errno.EOPNOTSUPP" title="Permalink to this definition">¶</a></dt>
<dd><p>Operation not supported on transport endpoint</p>
</dd></dl>

<dl class="data">
<dt id="errno.EPFNOSUPPORT">
<code class="descclassname">errno.</code><code class="descname">EPFNOSUPPORT</code><a class="headerlink" href="#errno.EPFNOSUPPORT" title="Permalink to this definition">¶</a></dt>
<dd><p>Protocol family not supported</p>
</dd></dl>

<dl class="data">
<dt id="errno.EAFNOSUPPORT">
<code class="descclassname">errno.</code><code class="descname">EAFNOSUPPORT</code><a class="headerlink" href="#errno.EAFNOSUPPORT" title="Permalink to this definition">¶</a></dt>
<dd><p>Address family not supported by protocol</p>
</dd></dl>

<dl class="data">
<dt id="errno.EADDRINUSE">
<code class="descclassname">errno.</code><code class="descname">EADDRINUSE</code><a class="headerlink" href="#errno.EADDRINUSE" title="Permalink to this definition">¶</a></dt>
<dd><p>Address already in use</p>
</dd></dl>

<dl class="data">
<dt id="errno.EADDRNOTAVAIL">
<code class="descclassname">errno.</code><code class="descname">EADDRNOTAVAIL</code><a class="headerlink" href="#errno.EADDRNOTAVAIL" title="Permalink to this definition">¶</a></dt>
<dd><p>Cannot assign requested address</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENETDOWN">
<code class="descclassname">errno.</code><code class="descname">ENETDOWN</code><a class="headerlink" href="#errno.ENETDOWN" title="Permalink to this definition">¶</a></dt>
<dd><p>Network is down</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENETUNREACH">
<code class="descclassname">errno.</code><code class="descname">ENETUNREACH</code><a class="headerlink" href="#errno.ENETUNREACH" title="Permalink to this definition">¶</a></dt>
<dd><p>Network is unreachable</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENETRESET">
<code class="descclassname">errno.</code><code class="descname">ENETRESET</code><a class="headerlink" href="#errno.ENETRESET" title="Permalink to this definition">¶</a></dt>
<dd><p>Network dropped connection because of reset</p>
</dd></dl>

<dl class="data">
<dt id="errno.ECONNABORTED">
<code class="descclassname">errno.</code><code class="descname">ECONNABORTED</code><a class="headerlink" href="#errno.ECONNABORTED" title="Permalink to this definition">¶</a></dt>
<dd><p>Software caused connection abort</p>
</dd></dl>

<dl class="data">
<dt id="errno.ECONNRESET">
<code class="descclassname">errno.</code><code class="descname">ECONNRESET</code><a class="headerlink" href="#errno.ECONNRESET" title="Permalink to this definition">¶</a></dt>
<dd><p>Connection reset by peer</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENOBUFS">
<code class="descclassname">errno.</code><code class="descname">ENOBUFS</code><a class="headerlink" href="#errno.ENOBUFS" title="Permalink to this definition">¶</a></dt>
<dd><p>No buffer space available</p>
</dd></dl>

<dl class="data">
<dt id="errno.EISCONN">
<code class="descclassname">errno.</code><code class="descname">EISCONN</code><a class="headerlink" href="#errno.EISCONN" title="Permalink to this definition">¶</a></dt>
<dd><p>Transport endpoint is already connected</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENOTCONN">
<code class="descclassname">errno.</code><code class="descname">ENOTCONN</code><a class="headerlink" href="#errno.ENOTCONN" title="Permalink to this definition">¶</a></dt>
<dd><p>Transport endpoint is not connected</p>
</dd></dl>

<dl class="data">
<dt id="errno.ESHUTDOWN">
<code class="descclassname">errno.</code><code class="descname">ESHUTDOWN</code><a class="headerlink" href="#errno.ESHUTDOWN" title="Permalink to this definition">¶</a></dt>
<dd><p>Cannot send after transport endpoint shutdown</p>
</dd></dl>

<dl class="data">
<dt id="errno.ETOOMANYREFS">
<code class="descclassname">errno.</code><code class="descname">ETOOMANYREFS</code><a class="headerlink" href="#errno.ETOOMANYREFS" title="Permalink to this definition">¶</a></dt>
<dd><p>Too many references: cannot splice</p>
</dd></dl>

<dl class="data">
<dt id="errno.ETIMEDOUT">
<code class="descclassname">errno.</code><code class="descname">ETIMEDOUT</code><a class="headerlink" href="#errno.ETIMEDOUT" title="Permalink to this definition">¶</a></dt>
<dd><p>Connection timed out</p>
</dd></dl>

<dl class="data">
<dt id="errno.ECONNREFUSED">
<code class="descclassname">errno.</code><code class="descname">ECONNREFUSED</code><a class="headerlink" href="#errno.ECONNREFUSED" title="Permalink to this definition">¶</a></dt>
<dd><p>Connection refused</p>
</dd></dl>

<dl class="data">
<dt id="errno.EHOSTDOWN">
<code class="descclassname">errno.</code><code class="descname">EHOSTDOWN</code><a class="headerlink" href="#errno.EHOSTDOWN" title="Permalink to this definition">¶</a></dt>
<dd><p>Host is down</p>
</dd></dl>

<dl class="data">
<dt id="errno.EHOSTUNREACH">
<code class="descclassname">errno.</code><code class="descname">EHOSTUNREACH</code><a class="headerlink" href="#errno.EHOSTUNREACH" title="Permalink to this definition">¶</a></dt>
<dd><p>No route to host</p>
</dd></dl>

<dl class="data">
<dt id="errno.EALREADY">
<code class="descclassname">errno.</code><code class="descname">EALREADY</code><a class="headerlink" href="#errno.EALREADY" title="Permalink to this definition">¶</a></dt>
<dd><p>Operation already in progress</p>
</dd></dl>

<dl class="data">
<dt id="errno.EINPROGRESS">
<code class="descclassname">errno.</code><code class="descname">EINPROGRESS</code><a class="headerlink" href="#errno.EINPROGRESS" title="Permalink to this definition">¶</a></dt>
<dd><p>Operation now in progress</p>
</dd></dl>

<dl class="data">
<dt id="errno.ESTALE">
<code class="descclassname">errno.</code><code class="descname">ESTALE</code><a class="headerlink" href="#errno.ESTALE" title="Permalink to this definition">¶</a></dt>
<dd><p>Stale NFS file handle</p>
</dd></dl>

<dl class="data">
<dt id="errno.EUCLEAN">
<code class="descclassname">errno.</code><code class="descname">EUCLEAN</code><a class="headerlink" href="#errno.EUCLEAN" title="Permalink to this definition">¶</a></dt>
<dd><p>Structure needs cleaning</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENOTNAM">
<code class="descclassname">errno.</code><code class="descname">ENOTNAM</code><a class="headerlink" href="#errno.ENOTNAM" title="Permalink to this definition">¶</a></dt>
<dd><p>Not a XENIX named type file</p>
</dd></dl>

<dl class="data">
<dt id="errno.ENAVAIL">
<code class="descclassname">errno.</code><code class="descname">ENAVAIL</code><a class="headerlink" href="#errno.ENAVAIL" title="Permalink to this definition">¶</a></dt>
<dd><p>No XENIX semaphores available</p>
</dd></dl>

<dl class="data">
<dt id="errno.EISNAM">
<code class="descclassname">errno.</code><code class="descname">EISNAM</code><a class="headerlink" href="#errno.EISNAM" title="Permalink to this definition">¶</a></dt>
<dd><p>Is a named type file</p>
</dd></dl>

<dl class="data">
<dt id="errno.EREMOTEIO">
<code class="descclassname">errno.</code><code class="descname">EREMOTEIO</code><a class="headerlink" href="#errno.EREMOTEIO" title="Permalink to this definition">¶</a></dt>
<dd><p>Remote I/O error</p>
</dd></dl>

<dl class="data">
<dt id="errno.EDQUOT">
<code class="descclassname">errno.</code><code class="descname">EDQUOT</code><a class="headerlink" href="#errno.EDQUOT" title="Permalink to this definition">¶</a></dt>
<dd><p>Quota exceeded</p>
</dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="platform.html"
                        title="previous chapter">16.14. <code class="docutils literal"><span class="pre">platform</span></code> &#8212;  Access to underlying platform&#8217;s identifying data</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="ctypes.html"
                        title="next chapter">16.16. <code class="docutils literal"><span class="pre">ctypes</span></code> &#8212; A foreign function library for Python</a></p>
<h3>This Page</h3>
<ul class="this-page-menu">
  <li><a href="../bugs.html">Report a Bug</a></li>
  <li><a href="../_sources/library/errno.txt"
         rel="nofollow">Show Source</a></li>
</ul>

<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="ctypes.html" title="16.16. ctypes — A foreign function library for Python"
             >next</a> |</li>
        <li class="right" >
          <a href="platform.html" title="16.14. platform — Access to underlying platform’s identifying data"
             >previous</a> |</li>
        <li><img src="../_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="../index.html">Documentation</a> &raquo;
        </li>

          <li class="nav-item nav-item-1"><a href="index.html" >The Python Standard Library</a> &raquo;</li>
          <li class="nav-item nav-item-2"><a href="allos.html" >16. Generic Operating System Services</a> &raquo;</li> 
      </ul>
    </div>  
    <div class="footer">
    &copy; <a href="../copyright.html">Copyright</a> 1990-2016, Python Software Foundation.
    <br />
    The Python Software Foundation is a non-profit corporation.
    <a href="https://www.python.org/psf/donations/">Please donate.</a>
    <br />
    Last updated on Jan 08, 2016.
    <a href="../bugs.html">Found a bug</a>?
    <br />
    Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.3.3.
    </div>

  </body>
</html>